Payouts
Get Payout Transactions
GET
/
api
/
payouts
/
{payoutId}
/
transactions
curl --request GET \
--url https://api.atoa.me/api/payouts/{payoutId}/transactions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"paymentIdempotencyId": "ATOA1745577029069",
"paymentRequestId": "04869b92-7462-4d89-adbb-c169e735dbaa", // Only present if the payment was processed through the Process-Payment.
"createdAt": "2025-04-25T10:30:36.655Z",
"amount": "123.00",
"currency": "GBP",
"refundId": null,
"refundPaymentReference": null,
"payoutReferenceId": "APY4zt9jjqozv7",
"transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
"isRefund": false,
"callbackParams": {
"test": "67"
}, // Only present if the payment was processed through the Process-Payment.
"notes": "Customer payment for order #12345" // Only present if the payment was processed through the Process-Payment.
},
{
"paymentIdempotencyId": "ATOA1745734720994",
"createdAt": "2025-04-27T06:18:48.086Z",
"amount": "162.06",
"currency": "GBP",
"refundId": null,
"refundPaymentReference": null,
"payoutReferenceId": "APY4zt9jjqozv7",
"transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
"isRefund": false
},
{
"paymentIdempotencyId": "ATOA1745577449258",
"createdAt": "2025-04-25T10:37:38.988Z",
"amount": "1000.00",
"currency": "GBP",
"refundId": null,
"refundPaymentReference": null,
"payoutReferenceId": "APY4zt9jjqozv7",
"transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
"isRefund": false
},
{
"paymentIdempotencyId": "ATOA1745557721665",
"createdAt": "2025-04-25T10:35:08.683Z",
"amount": "45.76",
"currency": "GBP",
"refundId": "5e82db42-bc4a-4098-802d-a7be0c5d50ad",
"refundPaymentReference": "ATOA1745557721665",
"payoutReferenceId": "APY4zt9jjqozv7",
"transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
"isRefund": true
}
],
"page": 0,
"itemPerPage": 4,
"totalCount": 4
}
This API retrieves a paginated list of transactions associated with a specific payout ID.
Authorization
Bearer <token>
Path Parameters
payoutId
string
requiredUnique identifier of the payout. This can be obtained from the Payouts API.
Query Parameters
limit
integer
Maximum number of records to return per page. Default: 10
page
integer
Page number for pagination, starting from 0. Default: 0
Response
data
array
List of transaction records
page
integer
Current page number
itemPerPage
integer
Number of items per page
totalCount
integer
Total number of records matching the query
curl --request GET \
--url https://api.atoa.me/api/payouts/{payoutId}/transactions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"paymentIdempotencyId": "ATOA1745577029069",
"paymentRequestId": "04869b92-7462-4d89-adbb-c169e735dbaa", // Only present if the payment was processed through the Process-Payment.
"createdAt": "2025-04-25T10:30:36.655Z",
"amount": "123.00",
"currency": "GBP",
"refundId": null,
"refundPaymentReference": null,
"payoutReferenceId": "APY4zt9jjqozv7",
"transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
"isRefund": false,
"callbackParams": {
"test": "67"
}, // Only present if the payment was processed through the Process-Payment.
"notes": "Customer payment for order #12345" // Only present if the payment was processed through the Process-Payment.
},
{
"paymentIdempotencyId": "ATOA1745734720994",
"createdAt": "2025-04-27T06:18:48.086Z",
"amount": "162.06",
"currency": "GBP",
"refundId": null,
"refundPaymentReference": null,
"payoutReferenceId": "APY4zt9jjqozv7",
"transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
"isRefund": false
},
{
"paymentIdempotencyId": "ATOA1745577449258",
"createdAt": "2025-04-25T10:37:38.988Z",
"amount": "1000.00",
"currency": "GBP",
"refundId": null,
"refundPaymentReference": null,
"payoutReferenceId": "APY4zt9jjqozv7",
"transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
"isRefund": false
},
{
"paymentIdempotencyId": "ATOA1745557721665",
"createdAt": "2025-04-25T10:35:08.683Z",
"amount": "45.76",
"currency": "GBP",
"refundId": "5e82db42-bc4a-4098-802d-a7be0c5d50ad",
"refundPaymentReference": "ATOA1745557721665",
"payoutReferenceId": "APY4zt9jjqozv7",
"transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
"isRefund": true
}
],
"page": 0,
"itemPerPage": 4,
"totalCount": 4
}